Loading...
Searching...
No Matches
gx_engine::ParameterV< GxSeqSettings > Class Reference

`#include <gx_internal_plugins.h>`

Inheritance diagram for gx_engine::ParameterV< GxSeqSettings >:

## Public Member Functions

| ParameterV (const string &id, GxSeqSettings *v)
| ParameterV (gx_system::JsonParser &jp)
| ~ParameterV ()
virtual void | serializeJSON (gx_system::JsonWriter &jw)
sigc::signal< void, const GxSeqSettings * > & | signal_changed ()
bool | set (const GxSeqSettings &val) const
const GxSeqSettings & | get_value () const
virtual void | stdJSON_value ()
virtual bool | on_off_value ()
virtual void | writeJSON (gx_system::JsonWriter &jw) const
virtual bool | compareJSON_value ()
virtual void | setJSON_value ()
virtual void | readJSON_value (gx_system::JsonParser &jp)
Public Member Functions inherited from gx_engine::Parameter
std::string | group_id () const
| Parameter (const string &id, const string &name, value_type vtp, ctrl_type ctp, bool preset, bool ctrl)
| Parameter (gx_system::JsonParser &jp)
virtual | ~Parameter ()
virtual void | trigger_changed ()
bool | isUsed () const
void | setUsed ()
void | dump (gx_system::JsonWriter *jw)
const char * | get_typename () const
bool | isFloat () const
bool | isInt () const
bool | isBool () const
bool | isFile () const
bool | isString () const
ctrl_type | getControlType () const
bool | isControllable () const
bool | isInPreset () const
bool | isSavable () const
void | setSavable (bool v)
bool | isOutput () const
void | setOutput (bool v)
bool | isMaxlevel () const
void | setMaxlevel (bool v)
bool | isNoWarning () const
void | setNoWarning (bool v)
const string & | id () const
const string & | group () const
string | l_group () const
const string & | name () const
string | l_name () const
const string & | desc () const
void | set_desc (const string &desc)
string | l_desc () const
void | set_log_display ()
bool | is_log_display () const
void | set_blocked (bool v)
bool | get_blocked () const
void | set_midi_blocked (bool v)
bool | get_midi_blocked () const
bool | operator== (const Parameter &p) const
virtual bool | hasRange () const
virtual float | getLowerAsFloat () const
virtual float | getUpperAsFloat () const
virtual float | getStepAsFloat () const
virtual const value_pair * | getValueNames () const
FloatParameter & | getFloat ()
IntParameter & | getInt ()
EnumParameter & | getEnum ()
BoolParameter & | getBool ()
FileParameter & | getFile ()
StringParameter & | getString ()
sigc::signal< void, float > & | signal_changed_float ()
sigc::signal< void, int > & | signal_changed_int ()
sigc::signal< void, bool > & | signal_changed_bool ()
sigc::signal< void, const Glib::ustring & > & | signal_changed_string ()

## Static Public Member Functions

static ParameterV< GxSeqSettings > * | insert_param (ParamMap &pmap, const string &id, GxSeqSettings *v)
Static Public Member Functions inherited from gx_engine::Parameter
static const char * | value_label (const value_pair &vp)

## Private Attributes

GxSeqSettings | json_value
GxSeqSettings * | value
GxSeqSettings | std_value
GxSeqSettings | value_storage
sigc::signal< void, const GxSeqSettings * > | changed

## Additional Inherited Members

Public Types inherited from gx_engine::Parameter
enum | ctrl_type { None , Continuous , Switch , Enum }
enum | toggle_type { OnOff = 0 , Constant = 1 , Toggle = 2 , Commander = 3 , _Count = 4 }
Protected Types inherited from gx_engine::Parameter
enum | value_type { tp_float , tp_int , tp_bool , tp_file , tp_string , tp_special }
enum | display_flags { dtp_normal , dtp_log = 1 }
Protected Member Functions inherited from gx_engine::Parameter
void | range_warning (float value, float lower, float upper)
Static Protected Member Functions inherited from gx_engine::Parameter
static gx_system::JsonParser & | jp_next (gx_system::JsonParser &jp, const char *key)
Protected Attributes inherited from gx_engine::Parameter
string | _id
string | _name
string | _group
string | _desc
enum value_type | v_type: 3
enum ctrl_type | c_type: 3
unsigned int | d_flags: 2
bool | save_in_preset: 1
bool | controllable: 1
bool | do_not_save: 1
bool | blocked: 1
bool | midi_blocked: 1
bool | output: 1
bool | maxlevel: 1
bool | nowarn: 1
bool | used: 1

## Detailed Description

Definition at line 248 of file gx_internal_plugins.h.

## Constructor & Destructor Documentation

## ParameterV() [1/2]

gx_engine::ParameterV< GxSeqSettings >::ParameterV | ( | const string & | id,
|  | GxSeqSettings * | v )

Referenced by insert_param().

## ParameterV() [2/2]

gx_engine::ParameterV< GxSeqSettings >::ParameterV | ( | gx_system::JsonParser & | jp | ) |

## ~ParameterV()

gx_engine::ParameterV< GxSeqSettings >::~ParameterV | ( |  | ) |

## Member Function Documentation

## compareJSON_value()

virtual bool gx_engine::ParameterV< GxSeqSettings >::compareJSON_value | ( |  | ) |

virtual

Implements gx_engine::Parameter.

## get_value()

const GxSeqSettings & gx_engine::ParameterV< GxSeqSettings >::get_value | ( |  | ) | const

inline

Definition at line 264 of file gx_internal_plugins.h.

## insert_param()

ParameterV< GxSeqSettings > * gx_engine::ParameterV< GxSeqSettings >::insert_param | ( | ParamMap & | pmap,
|  | const string & | id,
|  | GxSeqSettings * | v )

static

## on_off_value()

virtual bool gx_engine::ParameterV< GxSeqSettings >::on_off_value | ( |  | ) |

virtual

Implements gx_engine::Parameter.

## readJSON_value()

virtual void gx_engine::ParameterV< GxSeqSettings >::readJSON_value | ( | gx_system::JsonParser & | jp | ) |

virtual

Implements gx_engine::Parameter.

## serializeJSON()

virtual void gx_engine::ParameterV< GxSeqSettings >::serializeJSON | ( | gx_system::JsonWriter & | jw | ) |

virtual

Reimplemented from gx_engine::Parameter.

## set()

bool gx_engine::ParameterV< GxSeqSettings >::set | ( | const GxSeqSettings & | val | ) | const

## setJSON_value()

virtual void gx_engine::ParameterV< GxSeqSettings >::setJSON_value | ( |  | ) |

virtual

Implements gx_engine::Parameter.

## signal_changed()

sigc::signal< void, const GxSeqSettings * > & gx_engine::ParameterV< GxSeqSettings >::signal_changed | ( |  | ) |

inline

Definition at line 260 of file gx_internal_plugins.h.

## stdJSON_value()

virtual void gx_engine::ParameterV< GxSeqSettings >::stdJSON_value | ( |  | ) |

virtual

Implements gx_engine::Parameter.

## writeJSON()

virtual void gx_engine::ParameterV< GxSeqSettings >::writeJSON | ( | gx_system::JsonWriter & | jw | ) | const

virtual

Implements gx_engine::Parameter.

## Member Data Documentation

## changed

sigc::signal<void, const GxSeqSettings*> gx_engine::ParameterV< GxSeqSettings >::changed

private

Definition at line 254 of file gx_internal_plugins.h.

Referenced by signal_changed().

## json_value

GxSeqSettings gx_engine::ParameterV< GxSeqSettings >::json_value

private

Definition at line 250 of file gx_internal_plugins.h.

## std_value

GxSeqSettings gx_engine::ParameterV< GxSeqSettings >::std_value

private

Definition at line 252 of file gx_internal_plugins.h.

## value

GxSeqSettings* gx_engine::ParameterV< GxSeqSettings >::value

private

Definition at line 251 of file gx_internal_plugins.h.

Referenced by get_value().

## value_storage

GxSeqSettings gx_engine::ParameterV< GxSeqSettings >::value_storage

private

Definition at line 253 of file gx_internal_plugins.h.

The documentation for this class was generated from the following file:

- src/headers/gx_internal_plugins.h